import oracledb from 'oracledb';
import BD from '../src/connection.js';
// oracledb.initOracleClient({ libDir: '/u01/app/oracle/product/12.1.0/client_1' });
async function testConnection(){
    let connection = await oracledb.getConnection({
        user: 'USR_ORG_1102',
        password: 'teknisa',
        connectString: '192.168.122.5:1521/PDBORCL'
    });
//    console.log(connection);
    return connection;
}

async function testQuery(str){
    console.log(str);
    const SQL = `SELECT * FROM SERVICO`;
    const connection = await testConnection();
    const result = await connection.execute(
        SQL,
        {},
        {
            outFormat: oracledb.OUT_FORMAT_OBJECT
        }
    );
    console.log(`End ${str}`);
    //console.log(result.rows.map(e=>`${e.CDSERVFILI} | ${e.NMSERVICO}`));
    
}

async function testInsertMany(){
    const connection = await BD.getConnection();
    const sql = 'INSERT INTO TESTE_INSERT ( DESCRIPTION, NUMERO) VALUES ( :DESCRIPTION, :NUMERO)';
    const binds = [
        { DESCRIPTION: 'Test5', NUMERO: 11},
        { DESCRIPTION: 'Test6', NUMERO: 12},
        { DESCRIPTION: 'Test7', NUMERO: 13},
        { DESCRIPTION: 'Test8', NUMERO: 14},
    ];
    const options = {
        autoCommit: true,
        bindDefs: Object.assign(
            BD.createSimpleParam('DESCRIPTION','STRING', 20),
            BD.createSimpleParam('NUMERO', 'NUMBER')
        )
    };
    const result = await connection.executeMany(sql, binds, options).catch(error => ({error}));
}

testInsertMany('test1');
// testQuery('test2');
// const connection = (async function(){
//     return await testConnection();
// })();
// connection.then( e=>{
//     console.log(e);
// export {
//     connection: e
// }
// })
